with GNATCOM.Dispinterface;

package MSHTML.IHTMLStyleElement2_Interface is

   type IHTMLStyleElement2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLStyleElement2_Type);

   function Pointer (This : IHTMLStyleElement2_Type)
     return Pointer_To_IHTMLStyleElement2;

   procedure Attach (This    : in out IHTMLStyleElement2_Type;
                     Pointer : in     Pointer_To_IHTMLStyleElement2);

   function Get_sheet
     (This : IHTMLStyleElement2_Type)
     return Pointer_To_IHTMLStyleSheet;

end MSHTML.IHTMLStyleElement2_Interface;

